## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate test-case

Name:           rust-%{crate}
Version:        1.2.1
Release:        %autorelease
Summary:        Procedural macro attribute for generating parametrized test cases

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/test-case
Source:         %{crates_source}
# Initial patched metadata
# * drop acceptance tests that are not included in published crates
# * exclude some files that are only useful for upstream development
Patch0:         test-case-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Provides #[test_case(...)] procedural macro attribute for generating
parametrized test cases easily.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+hamcrest_assertions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hamcrest_assertions-devel %{_description}

This package contains library source intended for building other packages
which use "hamcrest_assertions" feature of "%{crate}" crate.

%files       -n %{name}+hamcrest_assertions-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# integration tests rely on files that are not included in published crates
rm tests/acceptance_tests.rs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Fabio Valentini <decathorpe@gmail.com> 1.2.1-1
- Update to version 1.2.1; Fixes RHBZ#2018126

* Wed Sep 01 2021 Fabio Valentini <decathorpe@gmail.com> 1.2.0-1
- Initial import (#1999251)
